> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/media/asset-folders.md).

# Asset folders

You can add, edit or delete global list values through [PIM](/reference/pim.md) > [Global Lists](/reference/pim/global-lists.md).

### View asset folders

Asset folders can be viewed in the left 'Asset folders' tab.

### Find asset folder

1. Click search bar
2. Enter value to search for

### Add a new root asset folder

1. Click "+"-icon in the top right corner of 'Asset folders' tab
2. Set Name and 'Make folder private'
3. Click "Save"

### Add a new sub asset folder

1. Right-click asset folder to create a sub folder in
2. Click "Create sub folder"
3. Set Name and 'Make folder private'
4. Click "Save"

### Edit asset folder

1. Right-click asset folder
2. Choose "Edit folder"
3. Modify Name and/or 'Make folder private'
4. Click "Save"

### Move asset folder

1. Right-click asset folder
2. Choose "Move folder"
3. Choose folder to move to
4. Click "Move"

### Delete asset folder

1. Right-click asset folder
2. Choose "Delete folder"
3. Confirm deletion

***

{% hint style="success" %}
Click a folder to see its content, opening new options for working with assets.
{% endhint %}

### View assets

Assets can be viewed when an asset folder has been clicked.

### Find asset

1. Navigate to the asset folder containing the asset
2. Click column header for Internal Id or Filename
3. Type value to search for

{% hint style="info" %}
**Tip** To read about how to search more effectively, read here: [Search help](/reference/pim/search/search-help.md)
{% endhint %}

### Add a new asset

1. Click "Upload asset" in the top right corner
2. Choose file to upload

### Edit asset

1. Hover asset and click "Edit"-icon
2. Modify asset details

### Bulk delete assets

1. Select the assets you want to delete
2. Click "More actions"-icon
3. Click "Delete"
4. Confirm deletion

### Bulk update assets

1. Select the assets you want to update
2. Click "Bulk update"-icon
3. Select data field you wish to update
4. Set operation type and new value
5. Click "Show update report" or "Confirm without reviewing changes"

### Bulk export assets

1. Select the assets you want to export
2. Click "Export"-icon
3. Choose export type
4. Select fields to export
5. Click "Start export"

### Bulk translate assets

1. Select assets you want to translate
2. Follow instructions from the AI Assistant

### Create task with assets attached

1. Select the assets you want to attach to a new task
2. Click "Create task"-icon or use the keyboard shortcut ctrl+alt+t
3. Set [task details](/reference/tasks/task-details.md)
4. Click "Create task"

### Bulk move assets

1. Select the assets you want to move
2. Click "More actions"-icon
3. Click "Move"
4. Choose folder to move to
5. Click "Move"

### Swap to grid view

Click "Grid"-icon or use the keyboard shortcut ctrl+shift+g

### Swap to table view

Click "Table"-icon or use the keyboard shortcut ctrl+shift+h

### Manage columns

1. Click "Manage columns"-icon or use the keyboard shortcut ctrl+shift+c
2. Manage columns
3. Click "Update columns"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/media/asset-folders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
